[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkList.Clear

Clear removes all Items in the bookmark list.

## Declaration

Source position: dbgrids.pas line 175

`public procedure TBookmarkList.Clear;`

## Description

Clear is a procedure used to remove all of the Items stored in the list. Clear calls the TDataset.FreeBookmark method for each of the TBookmark instances in Items. The length of the Bookmark is set to 0 to decrease the reference count for the memory allocation.

Clear uses the Invalidate method in the associated Grid control and causes it to be redrawn.